# Nauty Class Reference

`#include <Nauty.h>`

List of all members.

## Public Types
enum | VarStatus { FIX_AT_ZERO, FIX_AT_ONE, FREE }
## Public Member Functions
| Nauty (int n_)
| ~Nauty ()
void | addElement (int ix, int jx)
void | clearPartitions ()
void | computeAuto ()
void | deleteElement (int ix, int jx)
void | color_node (int ix, int color)
void | insertRHS (int rhs, int cons)
double | getGroupSize () const
int | getNautyCalls () const
double | getNautyTime () const
int | getN () const
int | getNumGenerators () const
int | getNumOrbits () const
std::vector< std::vector< int > > * | getOrbits () const
| Returns the orbits in a "convenient" form.
void | getVstat (double *v, int nv)
void | setWriteAutoms (const std::string &afilename)
| Methods to classify orbits.
void | unsetWriteAutoms ()
## Private Member Functions
| Nauty ()
## Private Attributes
graph * | G_
int * | lab_
int * | ptn_
set * | active_
int * | orbits_
optionblk * | options_
statsblk * | stats_
setword * | workspace_
int | worksize_
int | m_
int | n_
graph * | canonG_
bool | autoComputed_
int * | vstat_
std::multimap< int, int > | constr_rhs
std::multimap< int, int >::iterator | it
std::pair< std::multimap< int, int >::iterator, std::multimap < int, int >::iterator > | ret
FILE * | afp_
## Static Private Attributes
static int | nautyCalls_
static double | nautyTime_

## Detailed Description

Definition at line 23 of file Nauty.h.

## Member Enumeration Documentation

enum Nauty::VarStatus

Enumerator:

  FIX_AT_ZERO |
  FIX_AT_ONE |
  FREE |

Definition at line 27 of file Nauty.h.

## Constructor & Destructor Documentation

Nauty::Nauty | ( | int | n_ | ) |

Nauty::~Nauty | ( |  | ) |

Nauty::Nauty | ( |  | ) | `[private]`

## Member Function Documentation

void Nauty::addElement | ( | int | ix,
|  | int | jx |
| ) |  |  |

void Nauty::clearPartitions | ( |  | ) |

void Nauty::computeAuto | ( |  | ) |

void Nauty::deleteElement | ( | int | ix,
|  | int | jx |
| ) |  |  |

void Nauty::color_node | ( | int | ix,
|  | int | color |
| ) |  |  | `[inline]`

Definition at line 36 of file Nauty.h.

References vstat_.

void Nauty::insertRHS | ( | int | rhs,
|  | int | cons |
| ) |  |  | `[inline]`

Definition at line 37 of file Nauty.h.

References constr_rhs.

double Nauty::getGroupSize | ( |  | ) | const

int Nauty::getNautyCalls | ( |  | ) | const`[inline]`

Definition at line 40 of file Nauty.h.

References nautyCalls_.

double Nauty::getNautyTime | ( |  | ) | const`[inline]`

Definition at line 41 of file Nauty.h.

References nautyTime_.

int Nauty::getN | ( |  | ) | const`[inline]`

Definition at line 43 of file Nauty.h.

References n_.

int Nauty::getNumGenerators | ( |  | ) | const

int Nauty::getNumOrbits | ( |  | ) | const

std::vector<std::vector<int> >* Nauty::getOrbits | ( |  | ) | const

Returns the orbits in a "convenient" form.

void Nauty::getVstat | ( | double * | v,
|  | int | nv |
| ) |  |  |

void Nauty::setWriteAutoms | ( | const std::string & | afilename | ) |

Methods to classify orbits.

Not horribly efficient, but gets the job done

void Nauty::unsetWriteAutoms | ( |  | ) |

## Member Data Documentation

graph* Nauty::G_`[private]`

Definition at line 71 of file Nauty.h.

int* Nauty::lab_`[private]`

Definition at line 72 of file Nauty.h.

int* Nauty::ptn_`[private]`

Definition at line 73 of file Nauty.h.

set* Nauty::active_`[private]`

Definition at line 74 of file Nauty.h.

int* Nauty::orbits_`[private]`

Definition at line 75 of file Nauty.h.

optionblk* Nauty::options_`[private]`

Definition at line 76 of file Nauty.h.

statsblk* Nauty::stats_`[private]`

Definition at line 77 of file Nauty.h.

setword* Nauty::workspace_`[private]`

Definition at line 78 of file Nauty.h.

int Nauty::worksize_`[private]`

Definition at line 79 of file Nauty.h.

int Nauty::m_`[private]`

Definition at line 80 of file Nauty.h.

int Nauty::n_`[private]`

Definition at line 81 of file Nauty.h.

Referenced by getN().

graph* Nauty::canonG_`[private]`

Definition at line 82 of file Nauty.h.

bool Nauty::autoComputed_`[private]`

Definition at line 84 of file Nauty.h.

int* Nauty::vstat_`[private]`

Definition at line 86 of file Nauty.h.

Referenced by color_node().

int Nauty::nautyCalls_`[static, private]`

Definition at line 88 of file Nauty.h.

Referenced by getNautyCalls().

double Nauty::nautyTime_`[static, private]`

Definition at line 89 of file Nauty.h.

Referenced by getNautyTime().

std::multimap<int,int> Nauty::constr_rhs`[private]`

Definition at line 91 of file Nauty.h.

Referenced by insertRHS().

std::multimap<int,int>::iterator Nauty::it`[private]`

Definition at line 92 of file Nauty.h.

std::pair<std::multimap<int,int>::iterator, std::multimap<int,int>::iterator> Nauty::ret`[private]`

Definition at line 95 of file Nauty.h.

FILE* Nauty::afp_`[private]`

Definition at line 98 of file Nauty.h.

The documentation for this class was generated from the following file:

- Nauty.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines